Page MenuHomePhabricator

Vectorize all project logos
Open, LowPublic

Description

"Our logos are teh suck." Vectorize 'em all or burninate with fire.

[This does not apply to Wikipedia logos as much as to other projects'. Wikipedia logos are being kept track of at https://commons.wikimedia.org/wiki/User_talk:Nemo_bis/Wikipedia, all others are listed at https://meta.wikimedia.org/wiki/User:Cbrown1023/Logos.]


Version: unspecified
Severity: enhancement
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=45036

Details

Reference
bz52019

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Should we open a new bug and add it as a blocker for this one? I mean, we've just reached the milestone of 40 comments here, \o/

In any case, here are five more logos for Wikisource projects that need creating in SVG:

Suggestions from comment 30 and comment 31 apply to these logos, too.

Qgil added a comment.Dec 12 2013, 12:24 AM

(In reply to comment #41)

Should we open a new bug and add it as a blocker for this one? I mean, we've
just reached the milestone of 40 comments here, \o/

Is it really needed? This approach made sense to me for one-favicon tass because Gerrit was also involved. If you really think that splitting into more bugs make sense then maybe a good compromise would be to have one bug for each type of project: Wikibooks, Wikisource...

In any case, here are five more logos for Wikisource projects that need
creating in SVG:

Suggestions from comment 30 and comment 31 apply to these logos, too.

Task created

http://www.google-melange.com/gci/task/view/google/gci2013/5894599277019136

Qgil added a comment.Dec 13 2013, 5:19 PM

(In reply to comment #42)

Task created
http://www.google-melange.com/gci/task/view/google/gci2013/5894599277019136

... and now claimed by Thomas Lam. Could Tomasz or someone select 5 x n projects more to create a new task? Thank you!

Qgil added a comment.Dec 14 2013, 7:44 PM

Thomas' logos looked good to me and I decided to close the task, asking him to take any feedback that Tomasz could still have for him. Having all logos Latin characters I didn't expect to have many surprises.

He has already taken the new task:
http://www.google-melange.com/gci/task/view/google/gci2013/5882190579630080

Therefore we need more 5 x n projects again. Thank you!

Suggestions from comment 30 and comment 31 apply to these logos, too, although I except it might be a bit hard for the non-Latin logos (feel free to report any problems here).

As far as the comments on GCI are considered, there's no need to add anything to the table on Meta; if the files follow the suggested name scheme, they will automatically be visible (template magic).

t.lam wrote:

Does it take a while for the logos to show up on there? A few of the ones I've done have shown up while others haven't.

t.lam wrote:

Also for the few logos that don't use the Linux Libertine O Capitals font such as https://commons.wikimedia.org/wiki/File:Wikisource-logo-sr.png
and
https://mk.wikisource.org/wiki/%D0%9F%D0%BE%D0%B4%D0%B0%D1%82%D0%BE%D1%82%D0%B5%D0%BA%D0%B0:Wiki.png
should I try to make it look as similar to those as possible or just use Linux Libertine O Capitals

(In reply to comment #48)

Does it take a while for the logos to show up on there? A few of the ones
I've done have shown up while others haven't.

I'm guessing that "there" refers to [[m:User:Cbrown1023/Logos]]. You probably just need to purge the page (i.e., visit https://meta.wikimedia.org/wiki/User:Cbrown1023/Logos?action=purge).

(In reply to comment #49)

Also for the few logos that don't use the Linux Libertine O Capitals font
should I try to make it look as similar to those as possible or just use
Linux Libertine O Capitals

Having drawn a few logos for Cyrillic Wikipedias, I think Linux Libertine O Capitals does include non-Latin (or, at least, Cyrillic) characters; if it doesn't, please do try to make them look as similar as possible.

For the Farsi logo, please use the Nazli font which is available at http://fa.farsiweb.ir/fawiki/Persian_Fonts. If the website doesn't work for you (it seems to be dead right now), the font should be available elsewhere.

I have no idea what's the font used in the Wikinews logo, perhaps someone else knows that? I had a look at a lot of logos on Commons, but none included that particular information... Will try to research that further.

Qgil added a comment.Dec 18 2013, 8:15 PM

(In reply to comment #55)

I couldn't find this one under https://commons.wikimedia.org/wiki/Category:Wikisource_logos

The white background looks very suspicious...

I have no idea what's the font used in the Wikinews logo, perhaps someone
else
knows that? I had a look at a lot of logos on Commons, but none included that
particular information... Will try to research that further.

I wonder whether a free font was used at the time, and I wonder whether Liberation Sans could fit the task nowadays, in a way that almost nobody would realize the change.

Why Liberation Sans: https://www.mediawiki.org/wiki/Wikimedia_Foundation_Design/Typography

Anyway, I don't think we should send GCI students to this uncertain task.

(In reply to comment #56)

I couldn't find this one under
https://commons.wikimedia.org/wiki/Category:Wikisource_logos

That's because they are using a $stdlogo, located at https://yi.wikisource.org/wiki/File:Wiki.png.

I wonder whether a free font was used at the time, and I wonder whether
Liberation Sans could fit the task nowadays, in a way that almost nobody
would realize the change.

If it looks like the font used in the Wikinews logo, then sure, let's use it.

Anyway, I don't think we should send GCI students to this uncertain task.

If we can find out what the font was real quick, then the task will not be uncertain anymore. And believe me, that's much, much easier than finding out what's the font used for Wikiquote logos -- that one is /really/ complicated.

In any case, we're running short of logos -- Wikinews, Wikibooks and two Wikivoyage projects are the only ones left.

(And hell yeah, that's a good thing! \o/ )

bugzilla wrote:

Another GCI student here, with vectorized versions.

Some I had to mark/add the -svg because a .png version was already taking up the namespace. .PNGs are included when the original did not have a .png or a .svg file, so an original one had to be created.

Bulgarian:
https://commons.wikimedia.org/wiki/File:Wikisource-logo-bg-svg.svg

Kanada:
https://commons.wikimedia.org/wiki/File:Wikisource-logo-kn.png
https://commons.wikimedia.org/wiki/File:Wikisource-logo-kn.svg

Norwegian (Weird color / standardized choice, but this is what the wikipage said):
https://commons.wikimedia.org/wiki/File:Wikisource-logo-no-svg.svg

Southern Min? I can't figure out what language this is, but I'm fairly certain it's southern min, some dialect of Chinese:
https://commons.wikimedia.org/wiki/File:Wikisource-logo-zh-min-nan.png
https://commons.wikimedia.org/wiki/File:Wikisource-logo-zh-min-nan.svg

Thai:
https://commons.wikimedia.org/wiki/File:Wikisource-logo-th-svg.svg

That is all. :D

Qgil added a comment.Dec 18 2013, 11:10 PM

Tomasz has the last word, but here is some quick feedback. Note that new versions of existing files should be uploaded in the same page, using the link "Upload a new version of this file". Please don't create new pages for these updates.

(In reply to comment #58)

Bulgarian:
https://commons.wikimedia.org/wiki/File:Wikisource-logo-bg-svg.svg

Looks good, but the dimensions of the file aren't the same than the original. If you want to strive for perfection please provide a file with the same dimensions.

Kanada:
https://commons.wikimedia.org/wiki/File:Wikisource-logo-kn.png
https://commons.wikimedia.org/wiki/File:Wikisource-logo-kn.svg

Looks good.

Norwegian (Weird color / standardized choice, but this is what the wikipage
said):
https://commons.wikimedia.org/wiki/File:Wikisource-logo-no-svg.svg

Yes, and because of this we need a standardized version that simply says "Wikikilden", as specified at https://meta.wikimedia.org/wiki/User:Cbrown1023/Logos

Sorry for the confusion and the extra work. Luckily the standard version is in regular Latin script and shouldn bring extra work for someone with practice like you now.

Southern Min? I can't figure out what language this is, but I'm fairly
certain
it's southern min, some dialect of Chinese:
https://commons.wikimedia.org/wiki/File:Wikisource-logo-zh-min-nan.png
https://commons.wikimedia.org/wiki/File:Wikisource-logo-zh-min-nan.svg

Looks good but the file has the same problem of different dimensions as BG.

Thai:
https://commons.wikimedia.org/wiki/File:Wikisource-logo-th-svg.svg

The font you are using is thinner than the version used in the current logo. According to the description in the TH wikisource logos, "The font used is "TH Sarabun New", a public font released by the Government of Thailand." https://en.wikipedia.org/wiki/National_fonts

That is all. :D

Wait a minute. :)

Your descriptions should mention the files and the fonts you have used. This way someone like you will have an easy time understanding, updating or modifying your current versions.

You may have seen that the SVG pages you have created contain very visible references to Wikibooks logos in other versions. This is incorrect, of course. Please link to the correct "Other versions", for instance the PNG versions you have created.

Also, if you look at the bottom of the page you will see a category "Wikibooks logos", which is also incorrect. The correct category is "Category:SVG Wikisource logos". The Thai version can be added to "Category:Thai Wikisource logo variants‎"

Edit the descriotion and you will see how simple is to fix all this. Thank you!

Qgil added a comment.Dec 19 2013, 3:05 PM

In relation to comment 60 Natasha said in the GCI task:

See comment #60 in Bugzilla (4/5 links, sorry for the last two links, they are
replicating).

I need special font for Armenian (hy) logo. I asked it from person, who maked
raster logo (http://goo.gl/ScEvMC). As I'll get font, I'll make the logo.

(In reply to comment #59)

Tomasz has the last word, but here is some quick feedback. Note that new
versions of existing files should be uploaded in the same page, using the
link "Upload a new version of this file". Please don't create new pages for
these updates.

I fixed the description pages for you, so the only things you need to do now are:

  • Fix the dimensions for the bg and zh-min-nan logos
  • Upload a new version of the Norwegian logo as suggested by Quim
  • Fix the font used in the Thai logo
  • Add font information to logos where necessary

You might notice I deleted https://commons.wikimedia.org/wiki/File:Wikisource-logo-no-svg.svg as it's a duplicate of https://commons.wikimedia.org/wiki/File:Wikisource-logo-no.svg -- I now understand I should've made myself plainer, sorry about the unclear instructions, and thanks a lot for your work -- I greatly appreciate your involvement.

mxn added a comment.Dec 19 2013, 6:03 PM

(In reply to comment #55)

I have no idea what's the font used in the Wikinews logo, perhaps someone
else
knows that? I had a look at a lot of logos on Commons, but none included that
particular information... Will try to research that further.

For the www.wikinews.org portal's CSS stylesheet, I used Myriad Pro Bold as the preferred font in the wordmark. That's the closest font I could find, considering the shapes of the W and K.

mxn added a comment.Dec 19 2013, 6:08 PM

(In reply to comment #57)

If we can find out what the font was real quick, then the task will not be
uncertain anymore. And believe me, that's much, much easier than finding out
what's the font used for Wikiquote logos -- that one is /really/ complicated.

Logos such as [[File:Wikiquote-logo-en.svg]] were vectorized by hand from the PNG originals. Some wikis (mostly the ones with non-Latin alphabets) have gotten away with a non-cursive wordmark.

For the Yiddish Wikisource logo, please use the Taamey David CLM font. The Wikibooks logos use the DejaVu Sans Bold and the Charis SIL Italic fonts for the project name and the slogan.

Qgil added a comment.Dec 19 2013, 9:49 PM

(In reply to comment #60)

https://commons.wikimedia.org/wiki/File:Wikisource-logo-fa.svg
https://commons.wikimedia.org/wiki/File:Wikisource-logo-fa.png

Hi Natasha, compared to https://commons.wikimedia.org/wiki/File:Wikisource_fa.png the text in your version looks thinner and takes less width. The difference is noticeable when looking the logo at e.g. 137px, which is about the size that is displayed in the website. The creator of that logo didn't leave the details about the font used... Still, at the very least I guess you could make the font larger to take as much width as the current one.

The other ones look very good. Thank you!

(In reply to comment #66)

Hi Natasha, compared to
https://commons.wikimedia.org/wiki/File:Wikisource_fa.png the text in your
version looks thinner and takes less width. The difference is noticeable when
looking the logo at e.g. 137px, which is about the size that is displayed in
the website. The creator of that logo didn't leave the details about the font
used...

I specifically requested that Natasha uses the Nazli font, as that's the one used by the Persian Wikipedia, so I'd say it's OK :-)

Whoops, forgot to mention: I requested that in comment 53.

(In reply to comment #70)

All logos look good, except for the Ukrainian Wikibooks; the size of the project name in your version is much smaller than in the logo used by the project now. Please fix this and all will be fine :-)

(In reply to comment #71)

UK logo uses another font. Match the K letter: on current logo it's curve, but in DajaVu Sans it's plain. Current logo font is taller than DajaVu Sans.

http://goo.gl/BQ5eQs (current logo)
http://goo.gl/4w6LGu (logo with DajaVu Sans)

I have to ask person who made current logo for font, could you point me to the wiki-page with the current logo where I'll find the user uploaded logo or say what format it has in Wiki (e.g. https://commons.wikimedia.org/wiki/File:Wikisource-logo-uk-current.png)?

P.S. Waiting for font may take me lots of time, so if you'll close my current task and create task with, say, 5+2=7 logos for converting to SVG (cuz it's the second time I didn't done my work fully), it'll be great.

Qgil added a comment.Dec 21 2013, 6:05 AM

(In reply to comment #72)

Norwegian Versions:
https://commons.wikimedia.org/wiki/File:Wikisource-logo-no-standardized.png
https://commons.wikimedia.org/wiki/File:Wikisource-logo-no-standardized.svg

Your version includes lower case characters, which is not correct. Wikisource logos with Latin script use Linux Libertine O using capitals in all characters. See for instance https://commons.wikimedia.org/wiki/File:Wikisource-logo-eo.svg

If you fix this I will close the Google Code-in task, although you might get additional feedback from Tomasz.

Qgil added a comment.Dec 21 2013, 6:12 AM

(In reply to comment #70)

https://commons.wikimedia.org/wiki/File:Wikisource-logo-yi.svg
https://commons.wikimedia.org/wiki/File:Wikibooks-logo-uk.svg
https://commons.wikimedia.org/wiki/File:Wikibooks-logo-sl.svg
https://commons.wikimedia.org/wiki/File:Wikibooks-logo-et.svg
https://commons.wikimedia.org/wiki/File:Wikibooks-logo-az.svg

These look good to me.

At the current Yiddish (Yi) Wikisource logo under symbol like N-gotic there
is
no sub-symbol like T, but text string on
https://meta.wikimedia.org/wiki/User:Cbrown1023/Logos#Wikisource has this
sub-T. Title of Yi Wikisource also has sub-T, so I created SVG with sub-T.

Wow, good catch! Sounds reasonable.

I figured out the font used on Uk logo (http://goo.gl/BQ5eQs). It's Arial Bold with proprietary license. Should I make logo with Arial Bold?

(In reply to comment #77)

I figured out the font used on Uk logo (http://goo.gl/BQ5eQs). It's Arial
Bold
with proprietary license. Should I make logo with Arial Bold?

No. Just use whatever free font is the most common for Wikibooks (or the second most common if the first is used by ru.source; uk.* like to be different ;) ).

(In reply to comment #75)

If you fix this I will close the Google Code-in task, although you might get
additional feedback from Tomasz.

I have no further comments; once that logo is fixed, I'm OK with closing the task.

bugzilla wrote:

(In reply to comment #75)

(In reply to comment #72)

Norwegian Versions:
https://commons.wikimedia.org/wiki/File:Wikisource-logo-no-standardized.png
https://commons.wikimedia.org/wiki/File:Wikisource-logo-no-standardized.svg

Your version includes lower case characters, which is not correct. Wikisource
logos with Latin script use Linux Libertine O using capitals in all
characters.
See for instance
https://commons.wikimedia.org/wiki/File:Wikisource-logo-eo.svg
If you fix this I will close the Google Code-in task, although you might get
additional feedback from Tomasz.

I updated both of them.

Qgil added a comment.Dec 22 2013, 6:21 PM

(In reply to comment #81)

I updated both of them.

Task closed. Thank you!

Tomasz, we haven't any logo-related task available for GCI students right now. There two weeks left. Are there many logos left? What about publishing tasks for all the remaining logos? I'm taking many days off during these holidays and I will still volunteer GCI time. I'm learning to evaluate these logos and I can help at least to the level of closing the task (and therefore relieving the time pressure). So far most if not all students have been responsive and responsible with the logos they have converted, even after the corresponding task was closed.

Bug 45036 is almost resolved. With a last sprint we can close this one as well!

I don't have the exact numbers of logos remaining; as we don't know the font for Wikinews and Wikiquote projects, there's just the Wikibooks family and perhaps two Wikivoyage projects left.

I guess there might be about 20-30 logos left at best, and I think I can come up with a full list in the coming hours/days.

Qgil added a comment.Dec 23 2013, 12:04 AM

About Wikinews, the original font of the en.wikinews logo is unknown and most probably proprietary. I got quite close with Liberation Sans (still missing the blur):

https://commons.wikimedia.org/wiki/File:Wikinews-logo-en-qgil.svg

See also the related discussion at https://en.wikinews.org/wiki/Wikinews:Water_cooler/technical#Font_used_in_the_Wikinews_logo.3F

Seeing cs, ro and no I bet that newer projects already went this route with Liberation Sans or a clone. Many projects pending don't have Latin scripts anyway.

About Wikiquote... as Minh Nguyễn describes, it's a jungle. Since the original logo was handwritten (?), each project that customized the name also customized the text used in the logo. We could ask students to retrace the text if it looks handwritten or no information about the font is provided. The basic idea being that what matters is to obtain a visual replica from the PNG logo in SVG. We could have 3 logos per task, if this makes sense.

I just had a look at the discussion on the water cooler; I think it's a good idea to use Liberation Sans, /but/ with keeping the blur (shadow).

I can create a blueprint or write detailed instructions on how to create the blur/shadow if necessary, and post them on Meta or Commons (or wikimediafoundation.org for that matter).

Wikiquote logos are too complicated, in my opinion, for GCI students; I think it would take them more than the usual 2-3 hours. I'd prefer that we do that by ourselves; we could use WhatTheFont or even start a new contest to create a new, i18 and l10n-friendly, SVG-based, freely-licenced logo.

Qgil added a comment.Dec 23 2013, 3:13 PM

(In reply to comment #85)

I just had a look at the discussion on the water cooler; I think it's a good
idea to use Liberation Sans, /but/ with keeping the blur (shadow).
I can create a blueprint or write detailed instructions on how to create the
blur/shadow if necessary, and post them on Meta or Commons (or
wikimediafoundation.org for that matter).

Yes, please.

Wikiquote logos are too complicated, in my opinion, for GCI students; I think
it would take them more than the usual 2-3 hours.

GCI tasks are supposed to take 2-3 hours to experienced contributors. Many GCI tasks take more than that to first-timers, and they rduce the time invested as they learn.

If Wikiquote logos are more complicated then we can have one per task. I would still give it a try, but you're the boss. :)

I'd prefer that we do that by
ourselves; we could use WhatTheFont or even start a new contest to create a
new, i18 and l10n-friendly, SVG-based, freely-licenced logo.

That too, but it can take months, or more than that, to reach to that point.

Also, we really need more GCI tasks. There is no problem in encouraging students to learn to trace images out of rasterized ones. Reviewing the results is relatively simple (they look alike or they don't), and I can help.

(In reply to comment #86)

Also, we really need more GCI tasks. There is no problem in encouraging
students to learn to trace images out of rasterized ones. Reviewing the
results
is relatively simple (they look alike or they don't), and I can help.

Well, we can also create svg+png logos for all Wiktionaries and Wikipedias in incubator, to be ready for the future. There are about 220 listed in [[m:User:Cbrown1023/Logos]].

I'd suggest 10 logos for each task and separate tasks to fetch the names and translations from the incubator portals where possible (or merge the two things? but they're different "skills").

Qgil added a comment.Dec 23 2013, 3:36 PM

Incubator... I think this is too much. A good incentive for GCI students is to work on actual fixes, improvements in real projects.

Sorry about the double-post, but I wasn't able to find slogans for these languages.

(In reply to comment #91)

Sorry about the double-post, but I wasn't able to find slogans for these
languages.

Nevermind, I was able to find slogans for all of them except macedonian.

Qgil added a comment.Dec 27 2013, 4:57 PM

Hi Geoffrey, if there is no slogan specified at https://meta.wikimedia.org/wiki/User:Cbrown1023/Logos you can provide the logo as SVG without slogan. Thank you.

tomasz added a comment.Jan 3 2014, 6:46 PM

The logos are fine, thank you.

With two days until the end of GCI remaining now, should I post more links for Wikibooks (and Wikinews) logos, or are we done?

Qgil added a comment.Jan 4 2014, 12:32 AM

I think that's it for GCI. However, it might be still useful to keep identifying here new logos to work on, just in case other volunteers show up. We will keep featuring this bug report after GCI (details to be defined).

Here's the promised blueprint file for Wikinews logos:

The shadows are clones of the two text elements, which should make it easy enough to edit & adapt the logo to suit all languages and preferences (the shadows, as clones, will automatically change upon editing).

I also added a short instruction on how to edit the blueprint to the file description page on Commons—improvements welcome.

Qgil added a comment.Jan 7 2014, 10:54 PM

Thank you Tomasz!

Google Code-in is being wrapped up as we speak, but after that we want to bring that spirit to https://www.mediawiki.org/wiki/Annoying_little_bugs , improving that page and converting it in the first destination for new contributors looking for a first task.

It won't we as intense as GCI (hopefully!) ;) but we still expect to get a stream from contributions from there.

Change 130821 had a related patch set uploaded by Odder:
SVG logos for two non-Wikibooks, non-Wikisource wikis

https://gerrit.wikimedia.org/r/130821

Change 130821 merged by jenkins-bot:
SVG logos for two non-Wikibooks, non-Wikisource wikis

https://gerrit.wikimedia.org/r/130821

Change 131204 had a related patch set uploaded by Odder:
Add SVG logos for nine Wikibooks wikis

https://gerrit.wikimedia.org/r/131204

Change 131255 had a related patch set uploaded by Odder:
Add SVG logos for fifteen Wikisource wikis

https://gerrit.wikimedia.org/r/131255

Change 131255 merged by jenkins-bot:
Add SVG logos for sixteen Wikisource wikis

https://gerrit.wikimedia.org/r/131255

Change 131204 merged by jenkins-bot:
Add SVG logos for nine Wikibooks wikis

https://gerrit.wikimedia.org/r/131204

Patches mentioned in comment 100, comment 102 and comment 103 updated logos for the following 27 wikis:

There are still 19 wikis whose logos have been recreated in SVG, but have not been updated, as they require community consultation and explicit agreement for logo change (since the new logos differ from the existing ones quite visibly).

If anyone is up to the task, a list of those wikis with direct links to the new logos follows:

es.wiktionary => https://commons.wikimedia.org/wiki/File:Wiktionary-logo-es-new.svg
sq.wiktionary => https://commons.wikimedia.org/wiki/File:Wiktionary-logo-sq-new.svg
tr.wiktionary => https://commons.wikimedia.org/wiki/File:Wiktionary-logo-tr-new.svg

idwikibooks => https://commons.wikimedia.org/wiki/File:Wikibooks-logo-id.svg
kawikibooks => https://commons.wikimedia.org/wiki/File:Wikibooks-logo-ka.svg
tawikibooks => https://commons.wikimedia.org/wiki/File:Wikibooks-logo-ta.svg
thwikibooks => https://commons.wikimedia.org/wiki/File:Wikibooks-logo-th.svg
ukwikibooks => https://commons.wikimedia.org/wiki/File:Wikibooks-logo-uk.svg
zhwikibooks => https://commons.wikimedia.org/wiki/File:Wikibooks-logo-zh.svg

bnwikisource => https://commons.wikimedia.org/wiki/File:Wikisource-logo-bn.png
cawikisource => https://commons.wikimedia.org/wiki/File:Wikisource-logo-ca.svg
elwikisource => https://commons.wikimedia.org/wiki/File:Wikisource-logo-el.png
eowikisource => https://commons.wikimedia.org/wiki/File:Wikisource-logo-eo.png
etwikisource => https://commons.wikimedia.org/wiki/File:Wikisource-logo-et.svg
fawikisource => https://commons.wikimedia.org/wiki/File:Wikisource-logo-fa.svg
knwikisource => https://commons.wikimedia.org/wiki/File:Wikisource-logo-kn.svg
nowikisource => https://commons.wikimedia.org/wiki/File:Wikisource-logo-no-standardized.svg
yiwikisource => https://commons.wikimedia.org/wiki/File:Wikisource-logo-yi.svg
zh-min-nanwikisource => https://commons.wikimedia.org/wiki/File:Wikisource-logo-zh-min-nan.svg

My thanks to all Google Code-In students who helped with the task; your contributions are greatly appreciated, and also visible to the outside world for more than a week now. Thanks again!

Tomasz
Qgil added a comment.Jun 16 2014, 7:17 PM

(In reply to Tomasz W. Kozlowski from comment #106)

My thanks to all Google Code-In students who helped with the task

And no less important: congratulations to you for pushing this huge task through that last mile.

Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptAug 13 2015, 11:42 PM

Trying to organise the Wikimedia-Site-requests backlog a bit... am I correct in understanding from @tomasz's last comment here on 2014-06-14 that there are only 19 wikis left to complete the process for, and these are blocked on community consensus?

Jorm removed a subscriber: Jorm.Dec 26 2015, 7:23 PM
Restricted Application added a subscriber: JEumerus. · View Herald TranscriptDec 26 2015, 7:23 PM
tomasz removed a subscriber: tomasz.Mar 18 2016, 6:57 PM

https://sr.wikipedia.org/ has a local SVG logo. Should probably be moved to Commons, and local override removed in favour of standard PNG rendering config in Git.

We're serving a PNG from /static/images/project-logos/srwiki.png, but they override it:

MediaWiki:Common.css
#p-logo a { background: url(//upload.wikimedia.org/wikipedia/sr/f/f0/Wiki.svg) 50% no-repeat !important;}

https://mzn.wikipedia.org/ has a local SVG logo. It's already on Commons. We should convert to PNG and server from Git.

Note that both the SVG and PNG local version are out of sync with our site configuration. (Different subtitle/tagline)

mznwiki.png in site config:

Wiki.png from local wiki (referenced in Common.css):

The locally referenced SVG and PNG do match each other.

We're serving a PNG from /static/images/project-logos/srwiki.png, but they override it: [..] sr.wikipedia.org [..]

Yeah. Once we have a highres variant in our site config, we can remove the local override.

Qgil removed a subscriber: Qgil.Apr 13 2016, 12:08 PM

https://cy.wikipedia.org/ appears to override their logo locally with the highrest variant for English.

This report is not about where the logo is hosted, please keep that part to its own report.

tomasz added a subscriber: tomasz.Jun 10 2017, 4:58 PM
tomasz claimed this task.Jun 16 2017, 9:58 PM

OK, let's try to get it going again.

I'll post an update on this in a few days.

tomasz removed tomasz as the assignee of this task.Aug 7 2017, 2:38 AM

Thanks for trying, Tomasz. :)